Which is more efficient in performance for manipulating breps, diplayed objects or non-displayed objects?

For manipulating breps (e.g., scaling) which is more efficient in performance (memory consumption/processing time), diplayed objects or non-displayed objects?

A diplayed object:
ID=rs.AddSrfPtGrid()
brep = rs.coercebrep(ID)
A non-displayed object:
nurbs=Rhino.Geometry.NurbsSurface.CreateThroughPoints()
brep = Rhino.Geometry.Brep.CreateFromSurface(nurbs)

Although this question might be off the mark due to my poor understanding of Rhinoceros, I want to know the answer.
Thanks in Advance :smiley:

It’s generally more efficient to manipulate geometry first and add it to the document afterwards, if I understand the question.

-Pascal

Hi, Pascal :smiley:
From my benchmark test, I have the same opinion as you.
I’m more convinced of it.
Thank you so much :blush: